VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::vm::hardware::FloppyDefinitions Class Reference

Defines the type descriptors for the Floppy API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | backingInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | backingSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | summary
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | createOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | updateOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deleteInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | deleteOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | connectInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | connectOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | disconnectInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | disconnectOutput

## Detailed Description

Defines the type descriptors for the Floppy API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::backingInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.FloppyTypes.BackingType)));
                    fields.Add("image_file", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("host_device", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("auto_detect", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("IMAGE_FILE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("image_file", false)});
                    caseFields.Add("HOST_DEVICE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("host_device", true), new vmware.vapi.data.UnionValidator.FieldData("auto_detect", false)});
                    caseFields.Add("CLIENT_DEVICE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.floppy.backing_info", fields, typeof(vmware.vcenter.vm.hardware.FloppyTypes.BackingInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::backingSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.FloppyTypes.BackingType)));
                    fields.Add("image_file", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("host_device", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("IMAGE_FILE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("image_file", false)});
                    caseFields.Add("HOST_DEVICE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("host_device", true)});
                    caseFields.Add("CLIENT_DEVICE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.floppy.backing_spec", fields, typeof(vmware.vcenter.vm.hardware.FloppyTypes.BackingSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::connectInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("floppy", new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Floppy"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::FloppyDefinitions::connectOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::createInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.createSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::FloppyDefinitions::createOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Floppy");
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::createSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("backing", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.backingSpec.Value))));
                    fields.Add("start_connected", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("allow_guest_control", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.floppy.create_spec", fields, typeof(vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::deleteInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("floppy", new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Floppy"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::FloppyDefinitions::deleteOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::disconnectInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("floppy", new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Floppy"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::FloppyDefinitions::disconnectOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("floppy", new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Floppy"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::FloppyDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("label", new vmware.vapi.bindings.type.StringType());
                    fields.Add("backing", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.backingInfo.Value)));
                    fields.Add("state", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.ConnectionState)));
                    fields.Add("start_connected", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("allow_guest_control", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.floppy.info", fields, typeof(vmware.vcenter.vm.hardware.FloppyTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::FloppyDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.summary.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::summary`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("floppy", new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Floppy"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.floppy.summary", fields, typeof(vmware.vcenter.vm.hardware.FloppyTypes.Summary), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::updateInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("floppy", new vmware.vapi.bindings.type.IdType("com.vmware.vcenter.vm.hardware.Floppy"));
                    fields.Add("spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.updateSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::FloppyDefinitions::updateOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::FloppyDefinitions::updateSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("backing", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.FloppyDefinitions.backingSpec.Value))));
                    fields.Add("start_connected", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("allow_guest_control", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.floppy.update_spec", fields, typeof(vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec), validators, false, null);
                })

The documentation for this class was generated from the following file:

- FloppyDefinitions.cs